package com.flyfish.framework.controller;

import com.flyfish.framework.bean.Result;
import com.flyfish.framework.config.RSAKeys;
import com.flyfish.framework.config.properties.SecurityProperties;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 登录controller
 *
 * @author wangyu
 */
@RestController
@RequestMapping("/login")
public class LoginController {

    @Resource
    private SecurityProperties securityProperties;

    /**
     * 获取公钥，如果有的话
     *
     * @return 结果
     */
    @GetMapping("")
    public Result<String> getPublicKey() {
        if (securityProperties.isRsa()) {
            return Result.ok(RSAKeys.PUBLIC_KEY);
        }
        return Result.error("尚未配置加密密钥！");
    }
}
